NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_kill(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_kill - Send a process a signal

## Table Of Contents

## Synopsis

- ns_kill ?-nocomplain? pid signal

## Description

This command sends the process pid the signal signal. If -nocomplain is specified, no error will be returned on failure. signal should be an integer, i.e., 1 for SIGHUP, 9 for SIGKILL, 15 for SIGTERM, etc.

## COMMANDS

ns_kill ?-nocomplain? pid signal

## See Also

nsd

## Keywords

ns_job